import Timr from './Timr';
import { Store } from './types';
/**
 * @description Creates a store that can hold multiple timr objects
 * and perform functions on all of them.
 *
 * @param {Array} [args] - Optional timers to start the store with.
 * @throws If the provided timr is not a Timr object.
 * @throws If the provided timr is already in a store.
 *
 * @return {Object} Returns a store object with methods.
 */
export default function createStore(...args: Timr[]): Store;
