/**
 * @description Confirms if provided startTime is a futureDate parseable by dateToSeconds
 *
 * @param startTime the startTime
 *
 * @returns True if it is, false otherwise
 */
export declare function isDateFormat(startTime: string | number | Date): startTime is string | Date;
/**
 * @description Converts a date object or date string into seconds until that date/time.
 *
 * @param {string|number} startTime - The date object or date string.
 * @param {string|number} backupStartTime - startTime to use if provided startTime is in the past.
 *
 * @throws If the date matches the regex but is not the correct format.
 * @throws If the date is in the past.
 *
 * @return {Number} - Returns the converted seconds.
 */
declare function dateToSeconds(startTime: string | Date, backupStartTime?: string | Date): number;
export default dateToSeconds;
