import formatTime from './formatTime';
import timeToSeconds from './timeToSeconds';
import dateToSeconds from './dateToSeconds';
import createStore from './createStore';
import zeroPad from './zeroPad';
import Timr from './Timr';
import { OptionalOptions } from './types';
/**
   * @description Creates a new Timr object.
   *
   * @param {string|number|object} startTime - The starting time for the timr object.
   * Or an object with startTime and options.
   * @param {object} [options] - Options to customise the timer.
   *
   * @return {object} A new Timr object.
   */
declare function create(startTime: string | number | Date | OptionalOptions, options?: OptionalOptions): Timr;
export { OptionalOptions, Options, FormatValues, OptionsFormatValues, FormatValueFn, Store, Events, Listener, FormattedTime, Raw, Status } from './types';
export { create, formatTime, timeToSeconds, dateToSeconds, createStore, zeroPad };
